IST Time Now
IST is the abbreviation of Irish Standard Time. Time zone offset of IST is UTC+01. Irish Standard Time is 1 hour ahead from the UTC universal time. IST current date is 11th Wednesday November 2026. Current time in IST (IST).
IST Time
16:03:15
11 November 2026 Wednesday
IST, or Irish Standard Time is the standard time established and used as summer time in Ireland since 1968. Irish Standard Time is 1 hour ahead from the UTC universal time. It is used in the cities like Dublin, Galway, Kilkenny, and so on.
What time is it in Irish Standard Time now? It is 16:03:15 right now.
Irish Standard Time Date and Time Now in Various Formats
| Date Time Format | IST Date Time Now |
|---|---|
| UTC | 2026-11-11T15:03:15Z |
| ISO-8601 | 2026-11-11T16:03:15+0100 |
| RFC 2822 | Wed, 11 Nov 2026 16:03:15 +0100 |
| RFC 850 | Wednesday, 11-Nov-26 16:03:15 IST |
| RFC 1036 | Wed, 11 Nov 26 16:03:15 +0100 |
| RFC 1123 | Wed, 11 Nov 2026 16:03:15 +0100 |
| RFC 822 | Wed, 11 Nov 26 16:03:15 +0100 |
| RFC 3339 | 2026-11-11T16:03:15+01:00 |
| ATOM | 2026-11-11T16:03:15+01:00 |
| COOKIE | Wednesday, 11-Nov-2026 16:03:15 IST |
| RSS | Wed, 11 Nov 2026 16:03:15 +0100 |
| W3C | 2026-11-11T16:03:15+01:00 |
| Unix Epoch | 1794409395 |
| YYYY-DD-MM HH:MM:SS | 2026-11-11 16:03:15 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-11-11 04:03:15 PM |
| DD-MM-YYYY HH:MM:SS | 11-11-2026 16:03:15 |
| MM-DD-YYYY HH:MM:SS | 11-11-2026 16:03:15 |